XXDIFF(1)

NAME
xxdiff - a graphical file comparator and merge tool

SYNOPSIS
xxdiff [OPTIONS] <path> <path> [<path>]

OVERVIEW

xxdiff is a graphical file and directories comparison and merge tool. It can be used for viewing the differences between two or three files, or two directories, and can be used to produce a merged version. The texts of the two or three files are presented side by side with their differences highlighted with colors for easy identification.

The paths supplied on the command line identify the files to be compared. The paths may be one of three things: a regular file, a directory or a '-', in which case the input for that path will be read from standard input. If the paths are all directories, a directory diff will be performed. If at least one path is a file or a '-', a file diff will be performed. If there are directory names along with file names, the basename of the file name will be appended to the directory names to find the other files to compare with. If there are multiple file names specified and some directories names as well, xxdiff bails out, since it doesn't know which basename to use for the missing one.

Please consult xxdiff --help for more documentation.

OPTIONS

--help
    Show help about options.

--help-qt
    Show Qt specific options.

--help-all
    Show all options.

--help-html
    Output documentation in HTML.

--version, -v
    Show version information and compilation options it was built with.

DIAGNOSTICS
Returns the exit status generated by the diff command. This is usually 0 for no differences, 1 for some differences and 2 for errors.

SEE ALSO
diff(1), xxdiff-encrypted.html, xxdiff-match.html, xxdiff-cvs-diff.html, xxdiff-find-grep-sed.html, xxdiff-match.html

COPYRIGHT
Copyright (C) 1999, 2000, 2001, 2003 Martin Blais

See the GNU General Public License for a full statement of rights and permissions.

AUTHOR
Martin Blais <blais@furius.ca>

Debian Linux package is maintained by Tomas Pospisek <tpo_deb@sourcepole.ch>.